from gpiozero import Button
import time

# Hier wird der Eingangs-Pin deklariert, an dem der Sensor angeschlossen ist.
# Das Button-Objekt benutzt den internen Pull-Up Widerstand des Pi.
sensor = Button(24, pull_up=True)

print("Sensor-Test [drücken Sie STRG+C, um den Test zu beenden]")

# Diese Ausgabefunktion wird bei Signaldetektion ausgeführt
def ausgabeFunktion():
    print("Signal erkannt")

# Beim Detektieren eines Signals (fallende Signalflanke) wird die Ausgabefunktion ausgelöst
sensor.when_pressed = ausgabeFunktion

# Hauptprogrammschleife
try:
    while True:
        time.sleep(1)

# Aufräumarbeiten, nachdem das Programm beendet wurde
except KeyboardInterrupt:
    print("Programm beendet")